% Run this file first to load all the data from the MC runs.

clear all
close all
clc

files = textread('files.txt','%s');
k = 1;
j = 1;
for i = 176:length(files)
    T(k).hist(j).data = load(char(files(i)));
    T(k).hist(j).bins = T(k).hist(j).data(:,1);
    T(k).hist(j).counts = T(k).hist(j).data(:,2);
    T(k).Temperature = 0.65 + 0.05 * (k-1);
    beta(k) = 1/T(k).Temperature;
    j = j + 1;
    if mod(i,25) == 0
        k = k + 1;
        j = 1;
    end
end

for i = 1:175
    T(k).hist(j).data = load(char(files(i)));
    T(k).hist(j).bins = T(k).hist(j).data(:,1);
    T(k).hist(j).counts = T(k).hist(j).data(:,2);
    T(k).Temperature = 0.65 + 0.05 * (k-1);
    beta(k) = 1/T(k).Temperature;
    j = j + 1;
    if mod(i,25) == 0
        k = k + 1;
        j = 1;
    end
end

J = k - 1;
clear i j k
save histdata.mat T beta J

% Now run con_hist to construct the histograms.